Bug 425819 - haldaemon fails to start
haldaemon fails to start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
: 419571 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 04:26 EST by James Morris
Modified: 2013-03-05 22:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sealert output (2.15 KB, text/plain)
2007-12-16 04:26 EST, James Morris
no flags Details
Patch to change location of PolicyKit.reload (7.05 KB, application/octet-stream)
2007-12-20 13:59 EST, Daniel Walsh
no flags Details

  None (edit)
Description James Morris 2007-12-16 04:26:29 EST
Description of problem:

The haldaemon fails to start, due to an SELinux denial relating to
/var/lib/misc/PolicyKit.reload

Version-Release number of selected component (if applicable):

PolicyKit-0.7-3.fc9
hal-0.5.10-3.fc9
selinux-policy-3.2.3-2.fc9

How reproducible:

always

Steps to Reproduce:

start haldaemon

Actual results:

See attachment
Comment 1 James Morris 2007-12-16 04:26:29 EST
Created attachment 289717 [details]
sealert output
Comment 2 Daniel Walsh 2007-12-17 17:39:11 EST
Fixed in selinux-policy-3.2.4-3.fc9
Comment 3 James Morris 2007-12-19 19:37:19 EST
Still broken.


Source Context                unconfined_u:system_r:hald_t
Target Context                system_u:object_r:system_crond_var_lib_t
Target Objects                None [ file ]
Affected RPM Packages         hal-0.5.10-3.fc9 [application]
Policy RPM                    selinux-policy-3.2.4-5.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     sdv
Platform                      Linux sdv 2.6.24-0.107.rc5.git3.fc9 #1 SMP Fri Dec
                              14 12:15:01 EST 2007 x86_64 x86_64
Alert Count                   1
First Seen                    Thu Dec 20 11:34:09 2007
Last Seen                     Thu Dec 20 11:34:09 2007
Local ID                      24d51376-a7ee-447c-9601-d8d9c9f81f34
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm=hald dev=md0 egid=0 euid=0 exe=/usr/sbin/hald
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=PolicyKit.reload pid=2916
scontext=unconfined_u:system_r:hald_t:s0 sgid=0
subj=unconfined_u:system_r:hald_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:system_crond_var_lib_t:s0 tty=(none) uid=0
Comment 4 Daniel Walsh 2007-12-20 13:56:19 EST
This is a PolicyKit bug.  PolicyKit/Hal are storing the file in the wrong location.

I will hack up policy to allow this, but it needs to be fixed in PolicyKit.
Comment 5 Daniel Walsh 2007-12-20 13:59:24 EST
Created attachment 290179 [details]
Patch to change location of PolicyKit.reload
Comment 6 Jeremy Katz 2007-12-20 17:19:37 EST
*** Bug 419571 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2008-05-14 00:12:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:17:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-04-27 07:51:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 06:30:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.